//---- RECUPERA PARAMETRO DE LA URL -----------

function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return"";
	else
		return results[1];
}

//----------------------------------

function mostrar(id1,id2,tabla,ancho, alto){

  $("#dialog").dialog({
          width: ancho,
          height: alto

  });


   var parametros = {"accion":'listado',"tabla":tabla,"id1":id1,"id2":id2};
                    $.ajax({
                    data:  parametros,
                    url:"catalogos.php",
                    type: "POST",
                success: function(opciones){$("#dialog").html(opciones);
                }
            })
}

//-------------------------------------------------------

function mostrar_lista(id1,id2,codigo,nombre){

    document.getElementById(id1).value=codigo;
    document.getElementById(id2).value=nombre;

    $("#dialog").click(function () {
            $(this).dialog('close');
    });


}

//-------------------------------------
function limpiar(){
    
            
  var dir=parametro('dir');
  
  if(dir=='1'){     
    window.location.href="nota_faltante.php?dir=1";
  }else{
    var v1=parametro('id');
    window.location.href="nota_faltante.php?dir=2&id="+v1;
  }
//document.getElementById("alumnos").innerHTML="";
}


//-------------------------------------

function mostrar5(id1,id2,tabla,ancho,alto){

  $("#dialog").dialog({
          width: ancho,
          height: alto
                 
  });
     
   var parametros = {"accion":'listado1',"tabla":tabla,"id1":id1,"id2":id2};
                    $.ajax({
                    data:parametros,
                    url:"catalogos.php",
                    type: "POST",
                success: function(opciones){$("#dialog").html(opciones);
                                   
                }})


}

//-------------------------------------------------------
function mostrar_lista(id1,id2,codigo,nombre){
        
    document.getElementById(id1).value=codigo;
    document.getElementById(id2).value=nombre;

    $("#dialog").click(function () {
            $(this).dialog('close');
    });
   
  	document.getElementById("#dialog").innerHTML='';  
       
}

//-------------------------------------

function mostrar_grados_profes(id1,id2,ancho, alto){

  $("#dialog").dialog({
          width: ancho,
          height: alto

  });
   var parametros = {"accion":'listado_grados_profes',"id1":id1,"id2":id2};
                    $.ajax({
                    data:  parametros,
                    url:"catalogos.php",
                    type: "POST",
                success: function(opciones){$("#dialog").html(opciones);
                }
            })
}

//------------------------------------------------------------------------------

function mostrar_cursos_profes(id1,id2,ancho, alto){

var grado=document.getElementById('gr_id1').value;

  $("#dialog").dialog({
          width: ancho,
          height: alto

  });
   var parametros = {"accion":'listado_cursos_profes',"grado":grado,"id1":id1,"id2":id2};
                    $.ajax({
                    data:  parametros,
                    url:"catalogos.php",
                    type: "POST",
                success: function(opciones){$("#dialog").html(opciones);
                }
            })
}

//------------------------------------------------------------------------------

function mostrar_asign_profes(id1,id2,ancho, alto){

var grado=document.getElementById('gr_id1').value;
var curso=document.getElementById('cur_id1').value;


  $("#dialog").dialog({
          width: ancho,
          height: alto

  });
   var parametros = {"accion":'listado_asign_profes',"grado":grado,"curso":curso,"id1":id1,"id2":id2};
                    $.ajax({
                    data:  parametros,
                    url:"catalogos.php",
                    type: "POST",
                success: function(opciones){$("#dialog").html(opciones);
                }
            })

consulta_alumnos();
}
//------------------------------------


function consulta_alumnos(){

var g=document.getElementById('gr_id1').value;
var c=document.getElementById('cur_id1').value;

if (g==''){
    alert("SELECCIONE GRADO");
    exit;
}

if (c==''){
    alert("SELECCIONE GRUPO");
    exit;
}

var parametros = {"accion":'listado_alumnos',"grado":g,"grupo":c};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){
                        $("#alumnos").html(response);                       
           }
        });             
}

//--------------------------------------

function activar_alumno(codigo){

var cd=document.getElementById(codigo).checked;

var parametros = {"accion":'activar_alumno',"codigo":codigo,"estado":cd};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post'

        });
}


function retornar(){
 
   document.location.href="../faltas/ingresar_f.php";

}

//-------------------------------------
function limpiar(){

   document.getElementById('alumnos').innerHTML='';

}

//-------------------------------------

function marcar(source){

        checkboxes=document.getElementsByTagName('input'); //obtenemos todos los controles del tipo Input

        for(i=0;i<checkboxes.length;i++) //recoremos todos los controles
        {
            if(checkboxes[i].type == "checkbox") //solo si es un checkbox entramos
            {
                checkboxes[i].checked=source.checked; //si es un checkbox le damos el valor del checkbox que lo llam&oacute; (Marcar/Desmarcar Todos)
            }
        }

      //-----------------------------------------------------------
      var estado=document.getElementById('casilla').checked;
     
      var parametros = {"accion":'marcar_desmarcar',"estado":estado};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post'

        });
    }

//-----------------------------------------------------------

function Grabar(){

var p=document.getElementById('per_id1').value;
var g=document.getElementById('gr_id1').value;
var c=document.getElementById('cur_id1').value;
var f=document.getElementById('fecha').value;
var asign=document.getElementById('asign_id1').value;

var fl=document.getElementById('f_id1').value;
var des=document.getElementById('descrip').value;

if (p==''){
    alert("SELECCIONE PERIODO");
    exit;
}

if (g==''){
    alert("SELECCIONE GRADO");
    exit;
}

if (c==''){
    alert("SELECCIONE GRUPO");
    exit;
}

if (f==''){
    alert("DIGITE FECHA");
    exit;
}

if (des==''){
    des='.';
}

if (asign==''){
    alert("SELECCIONE ASIGNATURA");
    exit;
}

if (fl==''){
    alert("SELECCIONE FALTA");
    exit;
}

var parametros = {"accion":'grabar_faltaS_grupo',                      
                           "periodo" :p,
                           "fecha" :f,
                           "asign" :asign,
                           "falta" :fl,                         
                           "descripcion" :des
                           };
        $.ajax({
                data:  parametros,
                url:"consultas.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        limpiar();

                }
        });
}